Get loyalty program member balance for customer on order.
Get loyalty program member balance for customer on order.
If order total > 0, the response shows balance to use as payment on order.
If order total on order < 0, the response shows bonus point that can be refunded on order.
get/tenants/{tenantUid}/orders/{orderUid}/loyalty
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
balanceintegerRequired
get/tenants/{tenantUid}/orders/{orderUid}/loyalty
GET /v2/tenants/{tenantUid}/orders/{orderUid}/loyalty HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"balance": 1
}Last updated
Was this helpful?

